# Tests for ob-applypatches
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"

plan_ 5

rm -Rf 'src/'
cp -Rp '../../src/' 'src/'
cmd_is 'sanity check' cat 'src/src/foo.sh' <<-EOF
	${FOO_SH}
	EOF

command_ok_ 'ob-applypatches first run exit status' -- ob-applypatches
cmd_is 'patch applied' cat 'src/src/foo.sh' <<-EOF
	${FOO_SH_PATCHED}
	EOF

command_ok_ 'ob-applypatches second run exit status' -- ob-applypatches
cmd_is 'patch still applied' cat 'src/src/foo.sh' <<-EOF
	${FOO_SH_PATCHED}
	EOF
