# Tests for ob_rfc822_mktime()
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"

plan_ 10

tst()
{
	local in="${1}"
	local out="${2}"
	shift 2

	is "${in} = ${out}" "$(ob_rfc822_mktime "${in}")" "${out}"
}

tst 'Wed, 01 Jan 1970 00:00:00 +0000'          0
tst 'Wed, 01 Jan 1970 00:00:01 +0000'          1
tst 'Fri, 02 Jan 1970 01:02:03 -0500'     108123
tst 'Fri, 30 Apr 1971 12:34:56 -0400'   41877296
tst 'Mon, 28 Feb 1994 19:00:00 -0500'  762480000
tst 'Sat, 01 Jul 2000 10:20:30 +0100'  962443230
tst 'Tue, 08 Dec 2020 04:23:28 -0500' 1607419408
tst 'Thu, 31 Dec 2020 23:59:59 +0000' 1609459199
tst 'Fri, 01 Jan 2021 09:20:19 -0500' 1609510819
tst 'Tue, 19 Jan 2038 03:14:08 +0000' 2147483648
