# Tests for ob_touch_t_gmtime()
#
# Copyright (C) 2019, 2021 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"

plan_ 10

tst()
{
	local in="${1}"
	local out="${2}"
	shift 2

	is "${in} = ${out}" "$(ob_touch_t_gmtime "${in}")" "${out}"
}

tst          0 '197001010000.00'
tst          1 '197001010000.01'
tst     108123 '197001020602.03'
tst   41877296 '197104301634.56'
tst  762480000 '199403010000.00'
tst  962443230 '200007010920.30'
tst 1607419408 '202012080923.28'
tst 1609459199 '202012312359.59'
tst 1609510819 '202101011420.19'
tst 2147483648 '203801190314.08'
